/inventory-recommendations/{inventoryRecommendationId}
Fulfilment API · InventoryRecommendationService
GET
https://api.quiver.london/fulfilment/inventory-recommendations/{inventoryRecommendationId}Get one recommendation and its proposed line items.
Send your API key in the x-api-key header. See Getting started.
Path parameters
| Name | Type | Description |
|---|---|---|
inventoryRecommendationIdrequired | integer (int32) |
Responses
| Status | Body | Description |
|---|---|---|
200 | fulfilmentInventoryRecommendation | A successful response. |
default | rpcStatus | An unexpected error response. |
Request and response bodies
Field types that name another model link to all schemas.
fulfilmentInventoryRecommendation
| Field | Type | Description |
|---|---|---|
inventoryRecommendationId | integer (int32) | |
createdAt | string (date-time) | |
updatedAt | string (date-time) | |
inventoryRunId | integer (int32) | |
status | fulfilmentInventoryRecommendationStatus | |
movementType | fulfilmentInventoryMovementType | |
lineItems | fulfilmentInventoryRecommendationLineItem[] | |
decisionDueAt | string (date-time) | |
version | integer (int32) | |
sourceLocationId | string | |
sourceLocationName | string | |
destinationLocationId | string | |
destinationLocationName | string | |
destinationAddress | string | |
recipientName | string | |
recipientEmail | string | |
recipientPhone | string | |
coverageBefore | number (double) | |
expectedCoverageAfter | number (double) | |
decisionBy | string | |
decidedAt | string (date-time) | |
declineReason | fulfilmentInventoryRecommendationDeclineReason | |
decisionNote | string | |
inventoryTransferId | integer (int32) |
rpcStatus
| Field | Type | Description |
|---|---|---|
code | integer (int32) | |
message | string | |
details | protobufAny[] |
